Bug 2106753 - [RFE] Allow user to choose between Graphical and Text mode anaconda installer during system build via Satellite 6
Summary: [RFE] Allow user to choose between Graphical and Text mode anaconda installer...
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Provisioning Templates
Version: 6.11.0
Hardware: All
OS: All
unspecified
medium vote
Target Milestone: 6.13.0
Assignee: satellite6-bugs
QA Contact: Ron Lavi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-07-13 13:22 UTC by Sayan Das
Modified: 2023-01-10 13:30 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 35177 0 Normal Ready For Testing Add option to permit graphical installs for Red Hat 2022-07-27 12:27:01 UTC
Github theforeman foreman pull 9291 0 None open Fixes #35177 - Option to switch to graphical kickstart 2022-07-27 12:27:05 UTC
Red Hat Issue Tracker SAT-11874 0 None None None 2022-07-27 12:35:05 UTC

Description Sayan Das 2022-07-13 13:22:39 UTC
1. Proposed title of this feature request

Allow user to choose between Graphical and Text mode anaconda installer during system build via Satellite 6


2. What is the nature and description of the request?

Modification of the code shipped in provisioning templates to allow access of Graphical or Text mode anaconda console based on host parameter passed. 


3. Why does the customer need this? (List the business requirements here)

By default we have "skipx" used in the provisioning templates shipped with Satellite and hence during the system build, everything happens in text mode. 

Under certain circumstances e.g. Disk layout verification failure, One might be interested in mitigating the same manually by accessing the Graphical console of the anaconda installer and manually fixing the layout issues at runtime.


4. How would the customer like to achieve this? (List the functional requirements here)

There should be a host\hostgroup\global parameter present e.g. use_graphical_installer, using which, one can decide whether the kickstart should happen in text mode ( skipx ) or in graphical mode ( graphical).


5. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.

* Install Satellite and prepare it for system deployments.

* Create a host with a parameter with the name "use_graphical_installer" and value "true" and submit the build of the host.

* Observe if the Graphical Anaconda installer is visible and the system build completes fine or not. 



6. Is there already an existing RFE upstream or in Red Hat Bugzilla?

Feature #35177: Add option to permit graphical installs for Red Hat - Foreman
https://projects.theforeman.org/issues/35177

Fixes #35177 - Option to switch to graphical kickstart by jcpunk ? Pull Request #9291 ? theforeman/foreman
https://github.com/theforeman/foreman/pull/9291/files


7. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?

As soon as possible


8. Is the sales team involved in this request and do they have any additional input?

NA

9. List any affected packages or components.

foreman


10. Would the customer be able to assist in testing this functionality if implemented?

Yes


11. Additional information:

NA

Comment 1 Bryan Kearney 2022-09-09 12:04:24 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/35177 has been resolved.

Comment 2 Pat Riehecky 2022-09-09 13:25:11 UTC
With the upstream PR merged, can this be backported to 6.11.Z?

https://github.com/theforeman/foreman/commit/6614d14bd7107afd22e5d764bc46056f228fc3cc

Comment 3 Ron Lavi 2022-12-27 11:44:42 UTC
Verified.

Tested on Satellite 6.13.0 Snap 4.0

Steps followed: 
1. Created a new host with `use_graphical_installer` param set to true
2. Created a VM with the same MAC address of that host
3. Started the VM

Observation:
the graphical anaconda installer interface was shown

In addition, when setting the `use_graphical_installer` param set to false,
the anaconda installer was running in text mode.


Note You need to log in before you can comment on or make changes to this bug.